| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Metadata Struct Reference
Types and constants » Mapping types

`#include <TelepathyQt/Types>`

Inheritance diagram for Tp::Metadata:
[legend]

## Public Member Functions

| Metadata ()
| Metadata (const QMap< QString, QStringList > &a)
Metadata & | operator= (const QMap< QString, QStringList > &a)
Public Member Functions inherited from QMap< QString, QStringList >
| QMap ()
| QMap (const QMap< Key, T > &other)
| QMap (const std::map< Key, T > &other)
| ~QMap ()
QMap< Key, T > & | operator= (const QMap< Key, T > &other)
void | swap (QMap< Key, T > &other)
std::map< Key, T > | toStdMap () const
bool | operator== (const QMap< Key, T > &other) const
bool | operator!= (const QMap< Key, T > &other) const
int | size () const
bool | isEmpty () const
void | clear ()
int | remove (const Key &key)
iterator | remove (iterator it)
T | take (const Key &key)
bool | contains (const Key &key) const
const Key | key (const T &value) const
const Key | key (const T &value, const Key &defaultKey) const
const T | value (const Key &key) const
const T | value (const Key &key, const T &defaultValue) const
T & | operator[] (const Key &key)
const T | operator[] (const Key &key) const
QList< Key > | uniqueKeys () const
QList< Key > | keys () const
QList< Key > | keys (const T &value) const
QList< T > | values () const
QList< T > | values (const Key &key) const
int | count (const Key &key) const
int | count () const
iterator | begin ()
const_iterator | begin () const
const_iterator | constBegin () const
iterator | end ()
const_iterator | end () const
const_iterator | constEnd () const
iterator | erase (iterator pos)
void | erase (const Key &key)
iterator | find (const Key &key)
const_iterator | find (const Key &key) const
const_iterator | constFind (const Key &key) const
iterator | lowerBound (const Key &key)
const_iterator | lowerBound (const Key &key) const
iterator | upperBound (const Key &key)
const_iterator | upperBound (const Key &key) const
iterator | insert (const Key &key, const T &value)
iterator | insert (const Key &key, const T &value, bool overwrite)
iterator | insertMulti (const Key &key, const T &value)
iterator | replace (const Key &key, const T &value)
QMap< Key, T > & | unite (const QMap< Key, T > &other)
bool | empty () const

## Additional Inherited Members

Public Attributes inherited from QMap< QString, QStringList >
typedef | Iterator
typedef | ConstIterator
typedef | key_type
typedef | mapped_type
typedef | difference_type
typedef | size_type

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QStringList>, but needed to have a discrete type in the Qt type system.

A mapping from string key to a list of strings, used in the Metadata property. To emulate a simple string → string hash table one should have exactly one member in the value string list. This property is an a{sas} primarily because this maps easily to XEP-0004 Data Forms, and allows more structured metadata than a{ss} would. (For instance, a list of RDF triples could be expressed as one long array of strings, or as three-element values for a series of dummy key names, rather than as one big string blob.) While it might be convenient for applications to allow keys of arbitrary types, the added convenience would be outweighed by having to define the XMPP representation

## Constructor & Destructor Documentation

## § Metadata() [1/2]

Tp::Metadata::Metadata | ( |  | ) |

inline

## § Metadata() [2/2]

Tp::Metadata::Metadata | ( | const QMap< QString, QStringList > & | a | ) |

inline

## Member Function Documentation

## § operator=()

Metadata& Tp::Metadata::operator= | ( | const QMap< QString, QStringList > & | a | ) |

inline